
# WebSocket常驻进程
[program:dice_ws]
command=/usr/local/node/bin/node /data/webapps/ws-dice.eosget.io/ws.js %(process_num)s 2>&1
process_name=%(process_num)s
directory=/data/webapps/ws-dice.eosget.io/
numprocs=4
autostart=true
autorestart=true
stdout_logfile=/tmp/dice_ws_%(process_num)s.log

# 上报数据插入
[program:php0]
command=/usr/local/php/bin/php /data/webapps/dice.eosget.io/protected/bin/data/insertReportData.php 2>&1
process_name=insertReportData
directory=/data/webapps/dice.eosget.io/protected/bin/data/
numprocs=1
autostart=true
autorestart=true
stdout_logfile=/tmp/insertReportData.log

# 开奖并创建游戏、关闭并创建游戏
[program:checkGames]
command=/usr/local/php/bin/php /data/webapps/dice.eosget.io/protected/bin/game/checkOffers.php %(process_num)s
process_name=%(process_num)s
directory=/data/webapps/dice.eosget.io/protected/bin/game/
numprocs=3
autostart=true
autorestart=true
stdout_logfile=/tmp/checkGames_%(process_num)s.log

# 创建游戏
[program:php1]
command=/usr/local/php/bin/php /data/webapps/dice.eosget.io/protected/bin/game/createNewGame.php
process_name=createNewGame
directory=/data/webapps/dice.eosget.io/protected/bin/game/
numprocs=1
autostart=true
autorestart=true
stdout_logfile=/tmp/createNewGame.log

# 结算转账
[program:eosTransfer]
command=/usr/local/php/bin/php /data/webapps/dice.eosget.io/protected/bin/eosTransfer.php %(process_num)s
process_name=%(process_num)s
directory=/data/webapps/dice.eosget.io/protected/bin/
numprocs=4
autostart=true
autorestart=true
stdout_logfile=/tmp/eosTransfer_%(process_num)s.log

# 检查转账结算交易，异常则告警
[program:php3]
command=/usr/local/php/bin/php /data/webapps/dice.eosget.io/protected/bin/eosRedo.php 2>&1
process_name=eosRedo
directory=/data/webapps/dice.eosget.io/protected/bin/
numprocs=1
autostart=true
autorestart=true
stdout_logfile=/tmp/eosRedo.log

# 支持命令行下注，自动填充下注交易id
[program:php4]
command=/usr/local/php/bin/php /data/webapps/dice.eosget.io/protected/bin/eosFillTransactionId.php 2>&1
process_name=eosFillTransactionId
directory=/data/webapps/dice.eosget.io/protected/bin/
numprocs=1
autostart=true
autorestart=true
stdout_logfile=/tmp/eosFillTransactionId.log

# 满12小时自动提现
[program:php5]
command=/usr/local/php/bin/php /data/webapps/dice.eosget.io/protected/bin/user/autoWithdraw.php 2>&1
process_name=autoWithdraw
directory=/data/webapps/dice.eosget.io/protected/bin/user/
numprocs=1
autostart=true
autorestart=true
stdout_logfile=/tmp/autoWithdraw.log

# 检查用户余额明细，交易丢失则告警
[program:php6]
command=/usr/local/php/bin/php /data/webapps/dice.eosget.io/protected/bin/user/checkBalanceLog.php 2>&1
process_name=checkBalanceLog
directory=/data/webapps/dice.eosget.io/protected/bin/user/
numprocs=1
autostart=true
autorestart=true
stdout_logfile=/tmp/checkBalanceLog.log

# 检查用户是否存在漏上报充值交易id
[program:php7]
command=/usr/local/php/bin/php /data/webapps/dice.eosget.io/protected/bin/user/checkAccount.php 2>&1
process_name=checkAccount
directory=/data/webapps/dice.eosget.io/protected/bin/user/
numprocs=1
autostart=true
autorestart=true
stdout_logfile=/tmp/checkAccount.log


# 用户自动下注 - 下注模式
[program:userAutoBetMoniter_Exec4setup]
command=/usr/local/php/bin/php /data/webapps/dice.eosget.io/protected/bin/user/userAutoBetMoniter.php exec4setup %(process_num)s
process_name=%(process_num)s
directory=/data/webapps/dice.eosget.io/protected/bin/user/
numprocs=2
autostart=true
autorestart=true
stdout_logfile=/tmp/userAutoBetMoniter_Exec4setup_%(process_num)s.log

# 用户自动下注 - 生产模式
[program:php8]
command=/usr/local/php/bin/php /data/webapps/dice.eosget.io/protected/bin/user/userAutoBetMoniter.php produceBetPool
process_name=userAutoBetMoniter_produceBetPool
directory=/data/webapps/dice.eosget.io/protected/bin/user/
numprocs=1
autostart=true
autorestart=true
stdout_logfile=/tmp/userAutoBetMoniter_produceBetPool.log

# 用户自动下注 - 数据维护模式
[program:php9]
command=/usr/local/php/bin/php /data/webapps/dice.eosget.io/protected/bin/user/userAutoBetMoniter.php maintainData
process_name=userAutoBetMoniter_MaintainData
directory=/data/webapps/dice.eosget.io/protected/bin/user/
numprocs=1
autostart=true
autorestart=true
stdout_logfile=/tmp/userAutoBetMoniter_MaintainData.log

# 同步表数据
[program:syncAll]
command=/usr/local/php/bin/php /data/webapps/dice.eosget.io/protected/bin/sync/syncAll.php %(process_num)s
process_name=%(process_num)s
directory=/data/webapps/dice.eosget.io/protected/bin/sync/numprocs=6
autostart=true
autorestart=true
stdout_logfile=/tmp/syncAll_%(process_num)s.log

# 机器人自动充值提现
[program:php10]
command=/usr/local/php/bin/php /data/webapps/dice.eosget.io/protected/bin/robot/RobotTradeConfusor.php run
process_name=RobotTradeConfusor_run
directory=/data/webapps/dice.eosget.io/protected/bin/robot/
numprocs=1
autostart=false
autorestart=false
stdout_logfile=/tmp/RobotTradeConfusor_run.log


# 机器人自动下注 - 生产/常驻
[program:php11]
command=/usr/local/php/bin/php /data/webapps/dice.eosget.io/protected/bin/robot/RobotKeeper.php maintain
process_name=robotKeeper_maintain
directory=/data/webapps/dice.eosget.io/protected/bin/robot/
numprocs=1
autostart=true
autorestart=true
stdout_logfile=/tmp/robotKeeper_maintain.log

# 机器人自动下注 - 消费/常驻
[program:php12]
command=/usr/local/php/bin/php /data/webapps/dice.eosget.io/protected/bin/robot/RobotKeeper.php bet
process_name=robotKeeper_bet
directory=/data/webapps/dice.eosget.io/protected/bin/robot/
numprocs=1
autostart=true
autorestart=true
stdout_logfile=/tmp/robotKeeper_bet.log

